Page MenuHomePhabricator

Refactor MobileApps uniques HQL to use external table to format data [8 pts]
Closed, ResolvedPublic

Description

For the moment, a hack is used that concatenate string to provide a clean output format.
I think we should create an external table with the defined format, fill it with the data, and then delete it (as it done for the view right now).

Event Timeline

JAllemandou raised the priority of this task from to Needs Triage.
JAllemandou updated the task description. (Show Details)
JAllemandou added a subscriber: JAllemandou.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2015, 3:52 PM

If we do this, I think we should add the date information to each file. I'm fixing the bug where the files were named incorrectly, and I'm having trouble being sure which data is for which date.

kevinator triaged this task as Normal priority.Feb 26 2015, 4:39 PM
kevinator set Security to None.
kevinator renamed this task from Refactor MobileApps uniques HQL to use external table to format data. to Refactor MobileApps uniques HQL to use external table to format data [5 pts].Feb 26 2015, 4:44 PM
kevinator moved this task from Next Up to Tasked_Hidden on the Analytics-Kanban board.
Nuria added a subscriber: Nuria.Feb 26 2015, 4:47 PM
  • refactor mobile app uniques daily job to take advantage of kind of a "temporary" table (real external table and drop it) on hive for formatting
  • nice to have
  • testing time is long, coding wise should be short
kevinator renamed this task from Refactor MobileApps uniques HQL to use external table to format data [5 pts] to Refactor MobileApps uniques HQL to use external table to format data [8 pts].Feb 26 2015, 5:00 PM
JAllemandou moved this task from Tasked_Hidden to In Progress on the Analytics-Kanban board.
JAllemandou moved this task from In Progress to In Code Review on the Analytics-Kanban board.
JAllemandou closed this task as Resolved.Mar 10 2015, 2:18 PM